// File:		Trans1_Level_Echo_300.inc	
// Description: Profile 3 - Transducer Block #1: Echo level
//	Copyright (C) Siemens AG (1999 - 2002). All Rights Reserved
//	Product:	SIMATIC PDM
//  $Revision: 1.1 $	
//  $Date: 2006/04/07 11:26:54 $




//#define FUNC1_DEFAULT_UNIT					1010
#define _TRANS1_LEVEL
#include "Trans1_Hawk.inc"
//#include "Trans1_Level_Hawk_Factory.inc"



// --- Windows and dialogs --------------------------------------

MENU Page_display_trans1
{
	LABEL		[menu_dialog_display_measure];
	ITEMS
	{
		Val_trans1_pv_display,
		trans1_actual_mode
	}
}

MENU Val_trans1_pv_display
{
	LABEL [trans_value] ;
	ITEMS
	{
		trans1_level
	}
}

// --------- Primary,secondary variables table entry------
MENU Tab_Primary_val_disp
{
	LABEL	"Primary Value";
	ITEMS
	{
	    trans1_primary_value_value,
	    trans1_primary_value_status, 
	    trans1_primary_value_unit 
    	}
}

MENU Tab_Level_val_disp
{
	LABEL	"Level";
	ITEMS
	{
	    trans1_level,
	    trans1_level_unit 
	     	
    	}
}

MENU Tab_Sensor_val_disp
{
	LABEL	"Sensor Value";
	ITEMS
	{
	    trans1_sensor_value,
	    trans1_sensor_unit 
	     
    	}
}

MENU Tab_Secondary_val1_disp
{
	LABEL	"Secondary Value 1";
	ITEMS
	{
	    trans1_secondary_value_1_value,
	    trans1_secondary_value_1_status,
	    trans1_secondary_value_1_unit 
    	}
}

MENU Tab_Secondary_val2_disp
{
	LABEL	"Secondary Value 2";
	ITEMS
	{
	    trans1_secondary_value_2_value,
	    trans1_secondary_value_2_status, 
	    trans1_secondary_value_2_unit 
    	}
}

MENU Tab_Clarity_disp
{
	LABEL	"Clarity";
	ITEMS
	{
	    trans1_clarity,
	    trans1_clarity_status 
	    
    	}
}

MENU Tab_Floc_disp
{
	LABEL	"Floc";
	ITEMS
	{
	    trans1_floc,
	    trans1_floc_status 
	    
    	}
}

MENU Tab_Temprature
{
	LABEL	"Temperature";
	ITEMS
	{
	    trans1_temperature,
	    trans1_temperature_unit 
	    
    	}
}

// --- Parameter Table --------------------------------------

MENU Tab_s_input_param
{
	LABEL	[Input_Parameters];
	ITEMS
	{
	    //Tab_s_trans1_input_measrange,attn vivek
	    Tab_s_trans1_units 	
    	}
}

MENU Tab_TX_output_param  // Tx output variables table
{
	LABEL	"Transducer Output Variables";
	ITEMS
	{
	   Tab_Primary_val_disp,
	   Tab_Level_val_disp,
	   Tab_Sensor_val_disp,
           Tab_Secondary_val1_disp,		
	   Tab_Secondary_val2_disp,
	   Tab_Clarity_disp,
           Tab_Floc_disp,
	   Tab_Temprature
    	}
}
MENU Tab_s_trans1    //attn vivek
{
	LABEL		[trans_level];
	ITEMS
	{
		trans1_level,
		
		
	}
}

MENU Tab_m_trans1
{
	LABEL		[trans_level];
	ITEMS
	{
		Tab_s_trans1_input_measrange,
		

	}
}

MENU Tab_s_trans1_input_measrange   // attn vivek
{
	LABEL		[menu_input_measrange];
	ITEMS
	{
		trans1_sensor_low_limit,	
		trans1_sensor_high_limit,	
		trans1_level_unit	
	}
}


MENU Tab_s_trans1_units
{
	LABEL "Transducer Block Units" ;
	ITEMS
	{
		trans1_primary_value_unit,
		trans1_level_unit,
		trans1_sensor_unit,
		trans1_secondary_value_1_unit,
		trans1_secondary_value_2_unit,
		trans1_temperature_unit
		
	}
}


MENU Tab_s_trans1_all_parameters
{
	LABEL "TRANSDUCER PARAMETERS";
	ITEMS
	{
		trans1_level,	
		trans1_caltype,  
		trans1_cal_point_lo,
	        trans1_cal_point_hi,
		trans1_level_lo,    
		trans1_level_hi,    
		trans1_level_offset,
		trans1_lin_type,    
		trans1_lin_diameter,
		trans1_lin_volume,  
		//trans1_sensor_high_limit,	
		//trans1_sensor_low_limit, 	
		//trans1_max_sensor_value, 	
		//trans1_min_sensor_value, 	
		trans1_temperature,       	
		trans1_temperature_unit,  	
		trans1_max_temperature,   
		trans1_min_temperature,   	
		trans1_index,             	
		trans1_tab_x_y_value,    	
		trans1_tab_min_number,   	
		trans1_tab_max_number,   	
		trans1_tab_op_code,      	
		trans1_tab_status,       	
		trans1_tab_actual_number,	
		trans1_clarity,	       	
		trans1_floc   			
	}
}
//------------ HAWK SPECIFIC MENU STRUCTURE---------
MENU Tab_m_trans1_Calibration_parameters
{
	LABEL "Scaling Parameters";
	ITEMS
	{	trans1_sensor_offset,
		trans1_cal_point_lo,
	        trans1_cal_point_hi,
		trans1_level_lo,    
		trans1_level_hi,    
		trans1_level_offset,
		trans1_caltype,
		trans1_lin_type
		   			
	}
}

MENU Tab_m_trans1_Table_Handling_parameters
{
	LABEL "Table Handling Parameters";
	ITEMS
	{
		trans1_index,             	
		trans1_tab_x_y_value,    	
		trans1_tab_min_number,   	
		trans1_tab_max_number,   	
		trans1_tab_op_code,      	
		trans1_tab_status,       	
		trans1_tab_actual_number,	
		Tab_x_y_value			
	}
}

MENU Tab_x_y_value
{
	LABEL "X-Y Value";
	ITEMS
	{
		trans1_tab_x_y_value.X,
		trans1_tab_x_y_value.Y
			
	}
}

MENU Tab_s_trans1_Setup_parameters
{
	LABEL "Transducer Setup";
	ITEMS
	{
		trans1_password,
		trans1_failsafe, 
		trans1_failtime,  
		trans1_app_type, 
		trans1_fill_rate, 
		trans1_empty_rate,
		trans1_filldamp, 
		trans1_emtydamp,  
		trans1_gain,   
		trans1_gain_step3,
		trans1_distance_step3,
		trans1_threshold,
		trans1_blanking,
		trans1_empty,
		//trans1_tempdiv,
		trans1_txdist_offset ,
		trans1_comp_factor
		//trans1_map_dist,
		//trans1_map_used
		 
			
	}
}


  
  
  // --- Unit relations -----------------------------------------------------------------------
/* Level Transducer Block	*/


UNIT    TRANS1_LEVEL_UNIT
{
   trans1_level_unit:
   trans1_level_lo,
   trans1_level_hi,
   trans1_level_offset, 	
   trans1_lin_diameter
         
}

UNIT    TRANS1_SENSOR_UNIT
{
    trans1_sensor_unit :
    
    trans1_distance_step3,
    trans1_blanking,
    trans1_empty,
    trans1_txdist_offset,
    trans1_map_dist,    
    trans1_map_used,
    trans1_cal_point_lo,
    trans1_cal_point_hi,
    trans1_sensor_offset,		
    trans1_sensor_value  
  
}

UNIT    TRANS1_TEMPRATURE_UNIT

{
   trans1_temperature_unit:
   trans1_temperature, 
   trans1_max_temperature,
   trans1_min_temperature
        
}

UNIT    TRANS1_PRIMARY_VALUE_UNIT
{
    trans1_primary_value_unit:
    trans1_primary_value_value,
    trans1_lin_volume 
}

UNIT    TRANS1_SECONDARY_VALUE_1_UNIT
{
    trans1_secondary_value_1_unit :
    trans1_secondary_value_1_value
}

UNIT    TRANS1_SECONDARY_VALUE_2_UNIT
{
    trans1_secondary_value_2_unit :
    trans1_secondary_value_2_value
}

UNIT    TRANS1_Percent_UNIT
{
    trans1_percent_unit :
    trans1_gain,   
    trans1_gain_step3
}



/******************* COMMAND ****************************************************************/



















 
